Bug 496245 - weird errors on generating of deltas
weird errors on generating of deltas
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deltarpm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 10:19 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-04-17 10:19:35 EDT
Description of problem:

When attempting to build rawhide, I'm getting errors like:

Error genDeltaRPM for kernel-debuginfo: exitcode was 256 - Reported Error: mkdiff: could not 
create data

Error genDeltaRPM for kernel-PAEdebug-debuginfo: exitcode was 256 - Reported Error: mkdiff: could not create data

Error genDeltaRPM for gcdmaster: exitcode was 256 - Reported Error: bad cpio archive

Error genDeltaRPM for mash: exitcode was 256 - Reported Error: bad cpio archive

This is diffing:
kernel-2.6.29.1-85.fc11
mash-0.5.1-1.fc11
gcdmaster-1.2.2-5.fc11 

against their prior F11 versions.

Version-Release number of selected component (if applicable):

createrepo-0.9.7-4.fc11.noarch
deltarpm-3.4-15.fc11.x86_64
Comment 1 Jonathan Dieter 2009-04-17 10:36:54 EDT
Ok, the two different errors should mean two completely different things:

mkdiff: could not create data - deltarpm couldn't allocate enough RAM
bad cpio archive - one or both of the RPMS are corrupt

I did just test makedeltarpm mash-0.5.0-1.fc11.noarch.rpm mash-0.5.1-1.fc11.noarch.rpm temp.drpm and it worked fine.  Do you mind running rpm --checksig on both mash rpms to make sure they are not corrupt?
Comment 2 Bill Nottingham 2009-04-17 10:53:38 EDT
rpm --checksig works OK.
Comment 3 Jonathan Dieter 2009-04-17 11:04:04 EDT
Could you please do a manual "makedeltarpm mash-0.5.0-1.fc11.noarch.rpm
mash-0.5.1-1.fc11.noarch.rpm temp.drpm"?
Comment 4 Bug Zapper 2009-06-09 10:00:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jonathan Dieter 2009-06-19 14:08:22 EDT
Have you run into this any more?  Do we think this was the memory problem that we're dealing with in #496242?
Comment 6 Bill Nottingham 2009-06-19 14:13:26 EDT
Yes, it continues to pop up intermittently. None in today's rawhide, but 30 in one from last week.

I don't *think* it's memory related, but I am not sure. There are no OOM messages in the logs.
Comment 7 Bug Zapper 2010-04-27 09:43:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bill Nottingham 2010-04-27 11:51:37 EDT
This appears to not be showing up recently.
Comment 9 Bug Zapper 2010-06-28 07:52:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.